Pocket

Patch an organization member's settings bundle

Updates an allow-listed subset of settings, notifications, profile, and learned preferences for the target member. Profile updates are encrypted under the target user and create a new profile version with source org_admin_api. Requires an organization API key with the users:write scope.

PATCH
/api/v1/public/users/{user_id}/settings

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer pk_xxx as the authorization header value.

In: header

Path Parameters

user_id*string

Target user ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://loading/api/v1/public/users/string/settings"
{
  "data": null,
  "error": "string",
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}
{
  "data": null,
  "error": "string",
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}
{
  "data": null,
  "error": "string",
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}
{
  "data": null,
  "error": "string",
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}
{
  "data": null,
  "error": "string",
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}